import * as _nuxt_schema from '@nuxt/schema';
import { CodeToHastOptions, BundledTheme, BundledLanguage } from 'shiki';

type HighlightOptions = Partial<CodeToHastOptions> & {
    /** unwrap pre > code to code */
    unwrap?: boolean;
};

interface ModuleOptions {
    /** Themes */
    bundledThemes?: BundledTheme[];
    /** Languages */
    bundledLangs?: BundledLanguage[];
    /** Default theme */
    defaultTheme?: BundledTheme | Record<"dark" | "light" | (string & object), BundledTheme>;
    /** Default language */
    defaultLang?: BundledLanguage;
    /** Is dynamic loading enabled */
    dynamic?: boolean;
    /** Additional highlight options */
    highlightOptions?: HighlightOptions;
    /**
     * Alias of languages
     * @example { 'my-lang': 'javascript' }
     */
    langAlias?: Record<string, string>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions, ModuleOptions, false>;

export { type ModuleOptions, _default as default };
