import type { HighlightOptions, ShikiHighlighter, ShikiOptions } from "./types.js";
export declare const createHighlighter: Fn<MaybePromise<ShikiHighlighter>>;
export declare const createOptions: Fn<MaybePromise<ShikiOptions>>;
export declare function resolveOptions(shikiOptions: ShikiOptions, highlightOptions?: HighlightOptions): {
    transformers: import("shiki").ShikiTransformer[];
    lang: import("shiki").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    grammarState?: import("shiki").GrammarState;
    grammarContextCode?: string;
    theme: import("shiki").StringLiteralUnion<string, string> | import("shiki").ThemeRegistrationAny;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
} | {
    transformers: import("shiki").ShikiTransformer[];
    lang: import("shiki").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    grammarState?: import("shiki").GrammarState;
    grammarContextCode?: string;
    themes?: Partial<Record<string, import("shiki").StringLiteralUnion<string, string> | import("shiki").ThemeRegistrationAny>> | undefined;
    defaultColor?: (import("shiki").StringLiteralUnion<"light" | "dark"> | false) | undefined;
    cssVariablePrefix?: string | undefined;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
    theme: import("shiki").StringLiteralUnion<string, string> | import("shiki").ThemeRegistrationAny;
} | {
    transformers: import("shiki").ShikiTransformer[];
    lang: import("shiki").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    grammarState?: import("shiki").GrammarState;
    grammarContextCode?: string;
    theme?: import("shiki").StringLiteralUnion<string, string> | import("shiki").ThemeRegistrationAny | undefined;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
    themes: Partial<Record<string, import("shiki").StringLiteralUnion<string, string> | import("shiki").ThemeRegistrationAny>>;
    defaultColor?: import("shiki").StringLiteralUnion<"light" | "dark"> | false;
    cssVariablePrefix?: string;
} | {
    transformers: import("shiki").ShikiTransformer[];
    lang: import("shiki").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    grammarState?: import("shiki").GrammarState;
    grammarContextCode?: string;
    themes: Partial<Record<string, import("shiki").StringLiteralUnion<string, string> | import("shiki").ThemeRegistrationAny>>;
    defaultColor?: import("shiki").StringLiteralUnion<"light" | "dark"> | false;
    cssVariablePrefix?: string;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
};
type Fn<T> = (...args: any[]) => T;
type MaybePromise<T> = T | Promise<T>;
export {};
